$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-cf61198fe3c3b5d15694770f86cdd4c2c131b0a5/rpcs3-v0.0.12-10912-cf61198f_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = 'ac558fbfa41619f15b28677a9b997ec6140bee384998354f36382ea88ec47789'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
